<div style="display: flex; padding: 20px; background-color: #faf7f3;">
    <div>
        <h3>My Dashboard</h3>
    </div>
</div>

<div style="display: flex; gap: 20px; min-height: 100vh;">
    <div style="background-color: #faf7f3; width: 280px;">
        <div style="padding: 20px;">
            <nav>
                <ul class="text-regular" style="list-style: none; display: flex; flex-direction: column; gap: 20px;">
                    <li 
                        [class]="currentPath === '/' ? 'bg-primary-darker text-bold':''"
                        (click)="navigate('/')"
                        class="pointer"
                        style="padding: 10px;"
                    >Home</li>
                    <li 
                        [class]="currentPath === '/product' ? 'bg-primary-darker text-bold':''"
                        (click)="navigate('/product')"
                        class="pointer"
                        style="padding: 10px;"
                    >Product</li>
                    <li 
                        [class]="currentPath === '/user' ? 'bg-primary-darker text-bold':''"
                        (click)="navigate('/user')" 
                        class="pointer"
                        style="padding: 10px;"
                    >User Management</li>
                </ul>
            </nav>
        </div>
    </div>

    <div style="width: 100%;">
        <div style="padding: 20px;">
            <router-outlet></router-outlet>
        </div>
    </div>
</div>

